Subject: bug#30886: closed (Re: bug#30886: "LibreOffice digital signature support?")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Apr 2023 08:54:05 +0000

Your bug report

#30886: "LibreOffice digital signature support?"

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30886: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30886
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30886: "LibreOffice digital signature support?"
From: zimoun <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked], Thomas Sigurdsen <[email-masked]>
Date: Mon, 24 Apr 2023 10:26:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, 21 Apr 2023 at 09:51, zimoun <[email-masked]> wrote:

> Any objection for closing?

I am closing.  Feel free to reopen if I missed something.

Cheers,
simon

Subject: Libreoffice
From: Thomas Sigurdsen <[email-masked]>
To: [email-masked]
Date: Tue, 20 Mar 2018 18:28:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Here is two patches for libreoffice, both are changes of the configure flags
in the definition.

First is a change according to a comment. I started looking at these because
I wanted to check digital signatures and NSS was needed. Not sure NPAPI is
needed for NSS, but it is now enabled as per the old comment.

Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
because I'm not using gnome and therefore libreoffice can't find what it
needs. But Idk.

Filechooser dialog and digital signatures work with these 2 changes here.
>From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001
From: Tonton <[email-masked]>
Date: Tue, 20 Mar 2018 17:23:52 +0100
Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (builds
 succesfully)

Signed-off-by: Tonton <[email-masked]>
---
 gnu/packages/libreoffice.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index 316602adb..77c83b014 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -1027,8 +1027,7 @@ and to return information on pronunciations, meanings and synonyms.")
           "--without-fonts"
           ;; With java, the build fails since sac.jar is missing.
           "--without-java"
-          ;; FIXME: Enable once the corresponding inputs are packaged.
-          "--without-system-npapi-headers"
+          "--with-system-npapi-headers"
           "--disable-coinmp"
           "--disable-firebird-sdbc" ; embedded firebird
           "--disable-gltf"
-- 
2.16.2

>From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001
From: Tonton <[email-masked]>
Date: Tue, 20 Mar 2018 17:24:49 +0100
Subject: [PATCH 2/2] Enable gtk2

Racionale: on systems without gtk2 the openfile dialog makes openoffice
crash. This (enabling gtk2) fixes this.

Signed-off-by: Tonton <[email-masked]>
---
 gnu/packages/libreoffice.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index 77c83b014..92ff0f3b0 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -1035,7 +1035,7 @@ and to return information on pronunciations, meanings and synonyms.")
           ;; patching the build scripts to work with GCC5.  Try enabling this
           ;; when our default compiler is >=GCC 6.
           "--disable-pdfium"
-          "--disable-gtk" ; disable use of GTK+ 2
+          "--enable-gtk"
           "--without-doxygen")))
     (home-page "https://www.libreoffice.org/")
     (synopsis "Office suite")
-- 
2.16.2